.homepage-main-banner {
    padding-top: 120px;
}

.homepage-main-banner h1 {
    color: #00222B;
    font-family: Termina;
    font-size: 64px;
    font-style: normal;
    font-weight: 400;
    line-height: 76.8px;
    width: 100%;
    max-width: 860px;
    padding-top: 20px;
    padding-bottom: 12px;
    flex-shrink: 0;
}

.homepage-main-banner p {
    color: #00222B;
    width: 100%;
    max-width: 495px;
    font-family: Poppins;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 21.6px;
}


.gallery-item {
    flex: 1 1 auto; 
    max-width: 271px;

}


.custom-gallery {
    display: flex;
    max-width: 1280px !important; 
    margin: 0 auto; 
    justify-content: space-between; 
    gap: 34px;
    overflow-x: hidden;
    overflow-y: visible;
    padding: 20px 0;
    margin-top: 120px; 
    padding-bottom: 136px;
    position: relative; 
}

.gallery-item img {
    width: 100%; 
    height: 337px;
    object-fit: cover; 
    box-shadow: 0px 4px 4px 2px rgba(0, 0, 0, 0.10);
    border-radius: 3px;
}

/* Slick Slider Styles */
/* Keyframe animation for the slider to enter from the right */
@keyframes slickEnterFromRight {
    from {
        transform: translateX(100vw); 
        opacity: 0; 
    }
    to {
        transform: translateX(0); 
        opacity: 1; 
    }
}


.custom-gallery.slick-slider {
    max-width: 1280px;
    margin: 0 auto;
    overflow-x: hidden;
    overflow-y: visible;
    padding: 20px 0;
    margin-top: 120px;
    padding-bottom: 136px;
    position: relative;
    animation: slickEnterFromRight 1s ease-out forwards;
}

.custom-gallery.slick-slider .slick-slide {
    max-width: 271px;
    margin: 0 10px;
    outline: none;
    opacity: 1; 
    transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
}


.custom-gallery.slick-slider .slick-slide img {
    width: 100%;
    height: 337px;
    object-fit: cover;
    box-shadow: 0px 4px 4px 2px rgba(0, 0, 0, 0.10);
    border-radius: 3px;
}

.custom-gallery.slick-slider .slick-slide img:hover {
    transform: scale(1.1);
    transition: transform 0.3s ease-in-out;
    z-index: 10;
}


@media screen and (max-width: 1024px) {
    .homepage-main-banner {
        padding-right: 30px;
        padding-left: 30px;
    }
}

@media screen and (max-width: 480px) {
    .homepage-main-banner {
        padding: 40px 30px;
    }

    .homepage-main-banner h1 {
        font-size: 36px;
        color: #00222B;
        font-family: Termina;
        font-size: 36px;
        font-style: normal;
        font-weight: 400;
        line-height: 43.2px;
        padding-bottom: 0;
    }

    .homepage-main-banner p {
        color: #00222B;
        font-family: Poppins;
        font-size: 16px;
        font-style: normal;
        font-weight: 400;
        line-height: 19.2px;
    }

    .homepage-main-banner .custom-gallery.slick-slider {
        margin-top: 50px;
        padding-bottom: 30px; 
    }
}